package ab.issue.model.formats;

import android.content.Context;

import com.google.zxing.BarcodeFormat;

import ab.issue.R;
import ab.issue.model.values.TextBarcodeFormat;

public class DataMatrixBarcodeFormat extends BaseBarcodeFormat {

    DataMatrixBarcodeFormat(TextBarcodeFormat valueType) {
        super(valueType);
    }

    @Override
    public String getName(Context context) {
        return null;
    }

    @Override
    public BarcodeFormatType getType() {
        return BarcodeFormatType.DATA_MATRIX;
    }

    @Override
    public BarcodeFormat getZxingBarcodeFormat() {
        return BarcodeFormat.DATA_MATRIX;
    }

}
